.header {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  width: 100%;
  z-index: 99;
  background-color: transparent;
}
.header--overlay {
  padding-right: var(--scrollbar-width) !important;
}
.header--white .header__logo-image--default,
.header--white.header--menu .header__logo-image--white,
.header .header__logo-image--white {
  display: none;
}
.header--white .header__logo-image--white,
.header--white.header--menu .header__logo-image--default {
  display: block;
}
.header--white .header__localization-list {
  color: #fff;
}
.header--white .burger__line {
  background-color: #212121;
}
.header--white.header--menu .burger__line {
  background-color: #fff;
}
.header--white .header__localization-list li,
.header--white .header__phone__list li {
  background-color: #000;
}
.header--white .header__nav-head span,
.header--white .header__phone-value,
.header--white .header__localization-value,
.header--white .header__email-value {
  color: #212121;
}
.header__phone-svg,
.header__localization svg {
  width: 8px;
  height: 5px;
}
.header--white .header__nav-svg,
.header--white .header__phone-svg,
.header--white .header__phone-mobile-svg {
  color: #212121;
}
.header--white .header__nav-subitem,
.header--white .header__nav-nested li {
  background-color: #000;
  color: #fff;
}

.header--white .header__nav-subsvg {
  color: #ffff;
}

.header__wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 6px 0;
  column-gap: 20px;
}
.header__block {
  display: flex;
  align-items: center;
  column-gap: 20px;
}
.header__nav-list {
  display: flex;
  column-gap: 20px;
  align-items: center;
}
.header__nav-head {
  position: relative;
  display: flex;
  align-items: center;
  column-gap: 4px;
  padding: 5px 0;
  cursor: pointer;
}

.header__nav-head span {
  color: #fff;
  font-size: 16px;
  font-weight: 500;
  line-height: 140%;
}

.header__nav-nested {
  position: absolute;
  left: 0;
  pointer-events: none;
}
.header__phone {
  display: flex;
  align-items: center;
  column-gap: 1px;
}
.header__phone-select {
  position: relative;
  display: flex;
  align-items: center;
  column-gap: 4px;
}
.header__phone__list {
  position: absolute;
  left: 0;
  top: 80%;
  opacity: 0;
  pointer-events: none;
  transition: 0.5s ease;
}
.header__phone--active .header__phone__list {
  top: 120%;
  opacity: 1;
  pointer-events: auto;
  transition: 0.5s ease;
}
.header__phone__list li {
  cursor: pointer;
  padding: 10px;
  background-color: #fff;
  border-radius: 4px;
}
.header__phone-value, .header__email-value {
  color: #fff;
  font-size: 16px;
  font-weight: 500;
  line-height: 140%;
  display: flex;
}
.header__localization {
  position: relative;
}
.header__localization svg {
  color: #fff;
}
.header--white .header__localization svg {
  color: #000;
}
.header__localization-value {
  color: #fff;
  font-size: 16px;
  font-weight: 500;
  line-height: 140%;
  text-transform: uppercase;
}
.header__localization-value {
  display: flex;
  align-items: center;
  column-gap: 4px;
}

.header__localization-list {
  position: absolute;
  left: 0;
  top: 90%;
  opacity: 0;
  pointer-events: none;
  color: #111827;
  text-align: center;
  font-size: 14px;
  font-weight: 500;
  line-height: 140%;
  text-transform: uppercase;
  transition: 0.5s ease;
}
.header__localization-list li {
  position: relative;
  padding: 10px;
  background-color: #fff;
  border-radius: 4px;
}
.header__localization--active .header__localization-list {
  top: 100%;
  opacity: 1;
  pointer-events: auto;
  transition: 0.5s ease;
}
.header__phone-mobile,
.header__burger {
  display: none;
}
.header__nav-item {
  position: relative;
}
.header__nav-item {
  display: block;
}
.header__phone-mobile-svg {
  width: 20px;
  height: 20px;
}
.header__nav-svg {
  width: 8px;
  height: 5px;
}
.header__phone-svg,
.header__nav-svg,
.header__phone-mobile-svg {
  color: #fff;
}
/* //////////// */
.header__nav-sublist {
  position: absolute;
  left: 0;
  top: 90%;
  opacity: 0;
  /* min-width: 214px; */
  pointer-events: none;
  transition: 0.5s ease;
}
.header__nav-nested {
  position: absolute;
  left: 90%;
  top: 0;
  opacity: 0;
  /* min-width: 214px; */
  pointer-events: none;
  transition: 0.5s ease;
}
.header__nav-subitem,
.header__nav-nested li {
  white-space: nowrap;
  position: relative;
  padding: 8px 12px;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 140%;
  background-color: #ffff;
  transition: 0.5s ease;
}
.header__nav-subitem:first-child,
.header__nav-nested li:first-child {
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}
.header__nav-subitem:last-child,
.header__nav-nested li:last-child {
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}
.header__nav-subsvg {
  width: 8px;
  height: 5px;
  color: #212121;
  transition: 0.5s ease;
}
.header__nav-subitem:hover,
.header__nav-nested li:hover {
  background-color: #f3f3f3;
  transition: 0.5s ease;
}
.header__nav-subitem:hover .header__nav-subsvg {
  color: #e06618 !important;
  transition: 0.5s ease;
}
.header__nav-subitem:hover .header__nav-subvalue,
.header__nav-nested li:hover a {
  color: #e06618;
  transition: 0.5s ease;
}
.header__nav-subvalue {
  transition: 0.5s ease;
}

.header__logo {
  transition: 0.5s ease;
  width: 190px;
  height: 36px;
}
.header__logo img {
  width: 100%;
  height: 100%;
  object-fit: scale-down;
}
.header-menu {
  display: none;
}
@media (min-width: 1024px) {
  .header__nav-subitem:hover .header__nav-nested {
    left: 100%;
    opacity: 1;
    pointer-events: auto;
    transition: 0.5s ease;
  }
  .header__nav-overlay {
    display: none;
  }
  .header__nav-item:hover .header__nav-sublist {
    opacity: 1;
    top: 100%;
    pointer-events: auto;
    transition: 0.5s ease;
  }
}

@media (max-width: 1650px) {
  /*.header__block {
    column-gap: 10px;
  }*/

 /* .header__request.block-button {
    padding: 16px 30px;
  }*/
  /*.header__phone {
    column-gap: 5px;
  }*/
  .header__nav-head span,
  .header__phone-value,
  .header__localization-value,
  .header__request,
  .header__email-value {
    font-size: 14px;
  }
}
@media (max-width: 1300px) {
  .header__wrapper {
    column-gap: 15px;
  }

 /* .header__block {
    column-gap: 10px;
  }*/

  /*.header__nav-list {
    column-gap: 10px;
  }*/

}
@media (max-width: 1199px) {
  .header__logo {
    width: 150px;
  }
  .header__nav-head span,
  .header__phone-value,
  .header__localization-value,
  .header__request,
  .header__email-value {
    font-size: 12px;
  }
  .header__request.block-button {
    font-size: 14px;
  }

  /*.header__block {
    column-gap: 15px;
  }*/
}

@media (max-width: 1100px) {
  .header__request.block-button {
    display: none;
    width: 100%;
    margin-top: 22px;
    font-size: 16px;
  }  
  .header-menu {
    display: block;
    position: fixed;
    right: -100%;
    top: 80px;
    bottom: 0;
    height: calc(100vh - 80px);
    width: 414px;
    background-color: #000;
    z-index: 91;
    color: #fff;
    transition: 0.5s ease;
  }
  .header--menu .header-menu {
    right: 0;
    transition: 0.5s ease;
  }
  .header-menu__title {
    display: block;
    color: #fff;
    font-size: 16px;
    font-weight: 600;
    line-height: 140%;
    margin-bottom: 5px;
  }
  .header-menu__block ul {
    display: grid;
  }
  .header-menu__block ul li {
    padding: 3px 0;
    position: relative;
    font-size: 16px;
    font-weight: 400;
    line-height: 140%;
  }
  .header-menu__localization {
    font-size: 14px;
    font-weight: 500;
    line-height: 140%;
    text-transform: uppercase;
  }
  .header-menu__block ul li:last-child {
    padding-bottom: 0;
  }
  .header-menu__block--nav ul li {
    color: #aeaeae;
  }

  .header-menu__block--links ul li:first-child {
    padding-top: 0;
  }
  .header-menu__block--links ul li {
    font-weight: 600;
  }
  .header-menu__wrapper {
    display: flex;
    flex-direction: column;
    row-gap: 24px;
    height: 96%;
    overflow-y: scroll;
    padding: 36px 20px 70px 20px;
  }
  .header-menu__line div {
    width: 100%;
    height: 1px;
    opacity: 0.3;
    background: #aeaeae;
  }
  .header--menu {
    background-color: #000;
    transition: 0.5s ease;
  }
  .header--menu .header__phone-mobile {
    display: none;
  }
  .header--menu .header__logo {
    width: 216px;
    height: 40px;
    transition: 0.5s ease;
  }
  .header__logo {
    width: 151px;
    height: 28px;
  }
  .header__wrapper {
    padding: 20px 0;
  }
  .header__block {
    display: none;
  }
  .header__burger {
    display: block;
  }
  .header__burger .burger {
    width: 20px;
    height: 14px;
  }
  .header__phone-mobile {
    display: block;
    position: relative;
  }
}
@media (max-width: 600px) {
  .header-menu {
    width: 100vw;
  }
}

/*! стили для телефона с ... !*/
.header__phone-value {
  width: 140px;
}

.header__phone-value .hidden-text, .header__phone-value .hidden-text-ru {
  display: block;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  width: 80px;
  flex-shrink: 0;
}

.header__phone-value .phone_button, .header__phone-value .phone_button-ru {
  display: block;
  font-size: 12px;
  border: none;
  background: none;
  text-align: left;
  flex-shrink: 0;
}

.lazyload, .lazyloading {
  opacity: 0;
}
.header__phone-value .lazyloaded {
  opacity: 1;
  transition: opacity 300ms;
}

@media (max-width: 1199px) {
  .header__phone-value {
    width: 108px;
  }

  .header__phone-value .hidden-text, .header__phone-value .hidden-text-ru {
    width: 35px;
  }
}

/*! стили для email с ... !*/
.header__email-value {
  width: 210px;
}

.header__email-value .hidden-text, .header__email-value .hidden-text-ru {
  display: block;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  width: 50px;
  flex-shrink: 0;
}

.header__email-value .phone_button, .header__email-value .phone_button-ru {
  display: block;
  font-size: 12px;
  border: none;
  background: none;
  text-align: left;
  flex-shrink: 0;
}

.header__email-value .lazyloaded {
  opacity: 1;
  transition: opacity 300ms;
}

@media (max-width: 1199px) {
  .header__email-value {
    width: 160px;
  }

  .header__email-value .hidden-text, .header__email-value .hidden-text-ru {
    width: 30px;
  }
}

/* стили для кнопки Запрос ставки, главный баннер*/
.header__request_main_banner.block-button {
  display: none;
}

@media (max-width: 1100px) {
  .header__request_main_banner.block-button {
    display: block;
    margin-top: 15px;
    padding: 16px 100px;
  }
}

@media (max-width: 767px) {
  .header__request_main_banner.block-button {
    padding-left: 0;
    padding-right: 0;
    width: 100%;
  }
}

/* адаптив хедера */
.mg-lft {
  margin-left: 10px;
}

@media only screen and (max-width: 1760px) and (min-width: 1682px) {
  .header__request.block-button {
    width: 150px;
    font-size: 14px;
    padding: 15px 20px;
  }
}
@media only screen and (max-width: 1681px) and (min-width: 1651px) {
  .header__request.block-button {
    width: 150px;
    font-size: 14px;
    padding: 15px 20px;
  }
}

@media only screen and (max-width: 1650px) and (min-width: 1593px) {
  .header__email-value .hidden-text,
  .header__email-value .hidden-text-ru {
    width: 45px;
  }

  .header__phone-value .hidden-text,
  .header__phone-value .hidden-text-ru {
    width: 70px;
  }

  .header__request.block-button {
    width: 150px;
    font-size: 14px;
    padding: 15px 20px;
  }
}

@media only screen and (max-width: 1592px) and (min-width: 1454px) {
  .mg-lft {
    font-size: 14px;
  }

  .header__phone-value{
    width: 116px;
  }

  .header__email-value .hidden-text,
  .header__email-value .hidden-text-ru {
    width: 35px;
  }

  .header__phone-value .hidden-text,
  .header__phone-value .hidden-text-ru {
    width: 40px;
  }

  .header__nav-list,
  .header__block,
  .header__wrapper {
    column-gap: 15px;
  }

  .header__request.block-button {
    width: 130px;
    font-size: 14px;
    padding: 10px;
  }
}

@media only screen and (max-width: 1453px) and (min-width: 1409px) {
  .header__phone-value{
    width: 116px;
  }

  .header__email-value .hidden-text,
  .header__email-value .hidden-text-ru {
    width: 35px;
  }

  .header__phone-value .hidden-text,
  .header__phone-value .hidden-text-ru {
    width: 40px;
  }

  .header__nav-list,
  .header__block,
  .header__wrapper{
    column-gap: 15px;
  }

  .header__request.block-button {
    width: 130px;
    font-size: 14px;
    padding: 10px;
  }
}

@media only screen and (max-width: 1408px) and (min-width: 1300px) {
  .mg-lft {
    margin-left: 5px;
  }

  .header__email-value{
    width: 185px;
  }

  .header__phone-value{
    width: 118px;
  }

  .header__email-value .hidden-text,
  .header__email-value .hidden-text-ru {
    width: 35px;
  }

  .header__phone-value .hidden-text,
  .header__phone-value .hidden-text-ru {
    width: 40px;
  }

  .header__request.block-button {
    width: 130px;
    font-size: 14px;
    padding: 10px;
  }
}

@media only screen and (max-width: 1299px) and (min-width: 1260px) {
  .header__phone-value{
    width: 116px;
  }

  .header__email-value{
    width: 183px;
  }

  .header__email-value .hidden-text,
  .header__email-value .hidden-text-ru {
    width: 35px;
  }

  .header__phone-value .hidden-text,
  .header__phone-value .hidden-text-ru {
    width: 40px;
  }

  .header__nav-list,
  .header__block {
    column-gap: 15px;
  }

  .header__request.block-button {
    width: 130px;
    font-size: 14px;
    padding: 10px;
  }

}

@media only screen and (max-width: 1259px) and (min-width: 1230px) {
  .mg-lft {
    margin-left: 10px;
    font-size: 13px;
  }

  .header__email-value{
    width: 170px;
  }

  .header__phone-value{
    width: 116px;
  }

  .header__email-value .hidden-text,
  .header__email-value .hidden-text-ru {
    width: 30px;
  }

  .header__phone-value .hidden-text,
  .header__phone-value .hidden-text-ru {
    width: 40px;
  }

  .header__nav-list,
  .header__block {
    column-gap: 14px;
  }

  .header__request.block-button {
    width: 130px;
    font-size: 14px;
    padding: 10px;
  }
}

@media only screen and (max-width: 1229px) and (min-width: 1203px) {
  .mg-lft {
    margin-left: 5px;
    font-size: 12px;
  }

  .header__email-value{
    width: 157px;
  }

  .header__phone-value{
    width: 116px;
  }

  .header__email-value .hidden-text,
  .header__email-value .hidden-text-ru {
    width: 30px;
  }

  .header__phone-value .hidden-text,
  .header__phone-value .hidden-text-ru {
    width: 40px;
  }

  .header__nav-list,
  .header__block {
    column-gap: 14px;
  }

  .header__request.block-button {
    width: 130px;
    font-size: 14px;
    padding: 10px;
  }
}

@media only screen and (max-width: 1202px) and (min-width: 1121px) {
  .mg-lft {
    margin-left: 13px;
    font-size: 13px;
  }

  .header__email-value{
    width: 170px;
  }

  .header__phone-value{
    width: 110px;
  }

  .header__phone-value .hidden-text,
  .header__phone-value .hidden-text-ru {
    width: 40px;
  }

  .header__nav-list,
  .header__block {
    column-gap: 9px;
  }

  .header__request.block-button {
    width: 130px;
    font-size: 14px;
    padding: 10px;
  }
}

@media only screen and (max-width: 1120px) and (min-width: 1100px) {
  .mg-lft {
    font-size: 12px;
  }

  .header__nav-list,
  .header__block {
    column-gap: 11px;
  }

  .header__request.block-button {
    width: 130px;
    font-size: 14px;
    padding: 10px;
  }
}